astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Configuration system (`astropy.config`) »
- ConfigAlias

# ConfigAlias

class `astropy.config.``ConfigAlias`

  Bases: `astropy.config.ConfigItem`

  A class that exists to support backward compatibility only.

  This is an alias for a `ConfigItem` that has been moved elsewhere. It inherits from `ConfigItem` only because it implements the same interface, not because any of the methods are reused.

  Parameters:

  since : str

  > The version in which the configuration item was moved.

  old_name : str

  > The old name of the configuration item. This should be the name of the variable in Python, not in the configuration file.

  new_name : str

  > The new name of the configuration item. This is both the name of the item in Python and in the configuration file (since as of astropy 0.4, those are always the same thing).

  old_module : str, optional

  > A fully-qualified, dot-separated path to the module in which the configuration item used to be defined. If not provided, it is the name of the module in which `ConfigAlias` is called.

  new_module : str, optional

  > A fully-qualified, dot-separated path to the module in which the configuration item is now defined. If not provided, it is the name of the module in which `ConfigAlias` is called. This string should not contain the `.conf` object. For example, if the new configuration item is in `astropy.conf.use_unicode`, this value only needs to be `'astropy'`.

  Methods Summary

  `__call__`() | Returns the value of this `ConfigItem`
  `reload`() | Reloads the value of this `ConfigItem` from the relevant configuration file.
  `save`([value]) |
  `set`(value) | Sets the current value of this `ConfigItem`.
  `set_temp`(value) | Sets this item to a specified value only inside a with block.

  Methods Documentation

  `__call__`()

    Returns the value of this `ConfigItem`

    Returns:

    val

    > This item’s value, with a type determined by the `cfgtype` attribute.

    Raises:

    TypeError

    > If the configuration value as stored is not this item’s type.

  `reload`()

    Reloads the value of this `ConfigItem` from the relevant configuration file.

    Returns:

    val

    > The new value loaded from the configuration file.

  `save`(value=None)
  `set`(value)

    Sets the current value of this `ConfigItem`.

    This also updates the comments that give the description and type information.

    Parameters:

    value

    > The value this item should be set to.

    Raises:

    TypeError

    > If the provided `value` is not valid for this `ConfigItem`.

  `set_temp`(value)

    Sets this item to a specified value only inside a with block.

    Use as:

        ITEM = ConfigItem('ITEM', 'default', 'description')

        with ITEM.set_temp('newval'):
            #... do something that wants ITEM's value to be 'newval' ...
            print(ITEM)

        # ITEM is now 'default' after the with block

    Parameters:

    value

    > The value to set this item to inside the with block.